function [ T ] = generate_pulse_train( offset, duration, amplitude, dt, size, init_offset )
%GENERATE_PULSE_TRAIN Generates a set of pulses
%   

if ~exist('init_offset','var')
   init_offset = 0; 
end

T = zeros (size,1);

t = init_offset;
t2 = offset-init_offset;

for i = 1 : size
    if t2 >= offset
       if t2 - offset <= duration 
           T(i) = amplitude;
       else
           t2 = -dt;
       end
    end
    
    t2 = t2 + dt;
    t = t + dt;
end



end

