function [ model, idx ] = wilson_cowan_add_vertex ( model, vertex )
%WILSON_COWAN_ADD_VERTEX Adds a vertex to the model
%   
% Returns: the index of the vertex

if (isempty(model.vertices))
    model.vertices = struct(vertex);
    idx = 1;
    return
end

idx = length(model.vertices) + 1;
model.vertices(idx) = vertex;

end

